clear;
clc;

datasetName = 'pixraw10P';
load(['./', datasetName, '.mat']);

discreteData = data;

for i = 1:size(data, 2)
    if (length(unique(data(:, i))) > 5)
        discreteData(:, i) = normalize_max(data(:, i));
        discreteData(:, i) = myQuantileDiscretize(discreteData(:, i), 5);
    else
        tempUnique = unique(data(:, i));
        for j = 1:length(tempUnique)
            discreteData(discreteData(:, i) == tempUnique(j), i) = j;
        end
    end
end

if (size(data, 1) > 100)
    tempString = '-q -t 0 -c 1 -v 10';
else
    tempString = ['-q -t 0 -c 1 -v' ' ' num2str(size(data, 1))];
end

selectedFeatures = DDisMI(discreteData, C, 0.8, 10);

