function b=myQuantileDiscretize(a,d)

if nargin<2 
    d=3;
end;

[n, dim]=size(a);
b=zeros(n,dim);
for i=1:dim
   b(:,i)=doDiscretize(a(:,i),d);
end
b=b+1;

% ----------------------------------------
function y_discretized= doDiscretize(y,d)
% ----------------------------------------
% discretize a vector
ys=sort(y);
y_discretized=zeros(length(y),1);

pos=ys(round(length(y)/d *[1:d]));
for j=1:length(pos)
    y_discretized= y_discretized + (y>pos(j));
end